Package org.apache.storm.daemon.ui.filters

## Class HeaderResponseServletFilter

- java.lang.Object
- - org.apache.storm.daemon.ui.filters.HeaderResponseServletFilter

- All Implemented Interfaces:
    `jakarta.servlet.Filter`

      public class HeaderResponseServletFilter
      extends Object
      implements jakarta.servlet.Filter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.slf4j.Logger` | `LOG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderResponseServletFilter​(StormMetricsRegistry metricsRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `void` | `doFilter​(jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse, jakarta.servlet.FilterChain filterChain)` |
    `void` | `init​(jakarta.servlet.FilterConfig filterConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### HeaderResponseServletFilter

          public HeaderResponseServletFilter​(StormMetricsRegistry metricsRegistry)

  - ### Method Detail

    - #### init

          public void init​(jakarta.servlet.FilterConfig filterConfig)
                    throws jakarta.servlet.ServletException

      Specified by:
        `init` in interface `jakarta.servlet.Filter`
      Throws:
        `jakarta.servlet.ServletException`

    - #### doFilter

          public void doFilter​(jakarta.servlet.ServletRequest servletRequest,
                               jakarta.servlet.ServletResponse servletResponse,
                               jakarta.servlet.FilterChain filterChain)
                        throws IOException,
                               jakarta.servlet.ServletException

      Specified by:
        `doFilter` in interface `jakarta.servlet.Filter`
      Throws:
        `IOException`
        `jakarta.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `jakarta.servlet.Filter`